Reduce false positives in syntax checker for unbracketed SQL tables

Bug #1215702 reported by Aaron Wells on 2013-08-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells
1.5
Medium
Unassigned
1.6
Medium
Unassigned
1.7
Medium
Unassigned

Bug Description

The check for SQL tables that aren't surrounded by {}, which was added to test/coding-standard-check.pl, also matches comments that contain these very common words, and that results in a lot of false positives from the script, which mkaes people less likely to pay attention to its output.

We should reduce the false positives by changing the regular expression so that it ignores the words "from" and "join" when they occur in comments.

Aaron Wells (u-aaronw) wrote :

Already merged into master, don't know why I didn't bother creating a bug for it: https://reviews.mahara.org/#/c/2388/

Reviewed: https://reviews.mahara.org/2432
Committed: http://gitorious.org/mahara/mahara/commit/7c81174ee82f1977324d57f3a8927b492e8072b9
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit 7c81174ee82f1977324d57f3a8927b492e8072b9
Author: Aaron Wells <email address hidden>
Date: Mon Aug 5 13:40:44 2013 +1200

Reduce false positives in syntax checket for unbracketed SQL tables.

Bug #1215702
This one gets me a lot of false positives, so I'm changing the message to explain
that it's triggered by the words "from" and "join", and make it so that it doesn't
perform this check on lines that are probably comments

Change-Id: I5d1acc5eed0a31acc0a570b9bdac564ca514707f

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2433
Committed: http://gitorious.org/mahara/mahara/commit/d6f0092f337ef4eb094b63de1bffb3b2f5b636ba
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.6_STABLE

commit d6f0092f337ef4eb094b63de1bffb3b2f5b636ba
Author: Aaron Wells <email address hidden>
Date: Mon Aug 5 13:40:44 2013 +1200

Reduce false positives in syntax checket for unbracketed SQL tables.

Bug #1215702
This one gets me a lot of false positives, so I'm changing the message to explain
that it's triggered by the words "from" and "join", and make it so that it doesn't
perform this check on lines that are probably comments

Change-Id: I5d1acc5eed0a31acc0a570b9bdac564ca514707f

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2434
Committed: http://gitorious.org/mahara/mahara/commit/926e1cabb864a8522eed0445fbdcfd943767a770
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.5_STABLE

commit 926e1cabb864a8522eed0445fbdcfd943767a770
Author: Aaron Wells <email address hidden>
Date: Mon Aug 5 13:40:44 2013 +1200

Reduce false positives in syntax checket for unbracketed SQL tables.

Bug #1215702
This one gets me a lot of false positives, so I'm changing the message to explain
that it's triggered by the words "from" and "join", and make it so that it doesn't
perform this check on lines that are probably comments

Change-Id: I5d1acc5eed0a31acc0a570b9bdac564ca514707f

Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers